=== debian/changelog ===
pypy (2.2.1+dfsg-1ubuntu0.3) trusty-proposed; urgency=medium

  * SRU: LP: #1499957.
  * Fix build with updated GCC.
    https://bitbucket.org/pypy/pypy/commits/c1abec418acf30bb04891c3249bc12cbe8f48d4a

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Sep 2015 20:35:21 +0200

pypy (2.2.1+dfsg-1ubuntu0.2) trusty; urgency=medium

  * fpic-ppc: Compile with -fPIC on PPC, to avoid an FTBFS.

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 02 Dec 2014 14:33:18 -0800

pypy (2.2.1+dfsg-1ubuntu0.1) trusty; urgency=medium

  * Cherry-pick a patch (jit-crash-1669) to fix a JIT crash. (LP: #1368418)

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 28 Nov 2014 18:34:13 -0800

pypy (2.2.1+dfsg-1) unstable; urgency=low

  * New upstream bugfix release.
    - Fixes a ref-counting bug in socket.
  * Drop build-dep on execstack. Doesn't appear to be necessary any more (and
    doesn't work on all achitectures).

 -- Stefano Rivera <stefanor@debian.org>  Wed, 27 Nov 2013 11:41:10 -0800

pypy (2.2.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add new upstream copyright holders to debian/copyright.
  * Drop test_bootstrap-path patch, applied upstream.
  * pypy{clean,compile}: Perform a logical and instead of or, when -p and a
    directory are specified (matching pycompile semantics).
  * Disable JIT on armel. ARMv5 isn't supported.
  * Drop build-dep on valgrind on armel. It's no longer a supported platform
    for valgrind (Closes: #729141).
  * Bump debian/compat to 9, for executable dh_install scripts.
  * Split the stdlib test suite into a new binary package: pypy-lib-testsuite.
  * Split the _tkinter module into a new binary package: pypy-tk.
  * Run pypyclean on the stdlib before upgrading.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Nov 2013 23:05:19 +0000

pypy (2.1.0+dfsg-3) unstable; urgency=low

  * The wildcard for ARM is any-arm.
  * Build the syslog cffi module in lib_pypy.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 12 Sep 2013 10:33:55 +0200

pypy (2.1.0+dfsg-2) unstable; urgency=low

  * Disable continuation on all architectures except x86 and ARM (requires
    porting).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 10 Sep 2013 17:10:34 +0200

pypy (2.1.0+dfsg-1) unstable; urgency=low

  * New upstream release.
    - The ARM JIT is now supported and enabled.
    - Several bug fixes and performance improvements.
  * Refresh patches.
  * Drop patches, applied/superseded upstream:
    - shared-ffi
    - distutils-cflags
    - gnukfreebsd
    - l2-cache-detection
  * Add pypycompile and pypyclean scripts for dh_pypy packages.
    - Use for byte-compiling the stdlib.
  * Build cffi module for tkinter.
  * Patch: test_bootstrap-path - avoid a spurious test failure when TMPDIR is
    set to inside the source tree.
  * Add /usr/lib/pypy/runtime.d, so that module re-byte-compilation can be
    triggered on minor version updates. As we only have one pypy version
    installed concurrently, only .rtupdate is supported.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 01 Sep 2013 09:35:58 +0200
