## pypy 2.3.1+dfsg

=== debian/changelog ===
pypy (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream point release.
    - Includes gdbm module.
      + Build-Depend on libgdbm-dev.
  * Refresh patches.
  * Drop patches, superseded upstream: _struct, gcc-4.9, unknown-cpu.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 10 Jun 2014 02:07:03 +0200

pypy (2.3+dfsg-3) unstable; urgency=medium

  * And similarly, avoid an assertion about VFP support, in an ARM specific
    path, in the same function, fixing an FTBFS on armel.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 27 May 2014 01:55:01 +0200

pypy (2.3+dfsg-2) unstable; urgency=medium

  * Patch unknown-cpu: Fix an FTBFS on archs which don't have JIT support, due
    to the use of a previously JIT-specific CPU detection function.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 May 2014 22:51:01 +0200

pypy (2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches, superseded upstream: fpic-ppc, multiprocessing-typos,
    site-builddir, webbrowser, pypirc-secure.
  * PyPy.h isn't copied in at build time (unlike all the other headers)
  * Patch: _struct - Like CPython, the built-in module should be "_struct",
    imported.
  * Patch: gcc-4.9 - Build on GCC 4.9 (Closes: #746892)
  * Patch: sqlite-3.8.4 - Test suite fix for 3.8.4 compatibility.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 May 2014 16:51:43 +0200

pypy (2.2.1+dfsg-3) unstable; urgency=medium

  * fpic-ppc: Compile with -fPIC on PPC.
  * Put exits in the right places in the maintainer scripts (Closes: #747177)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 06 May 2014 12:00:44 +0200

pypy (2.2.1+dfsg-2) unstable; urgency=medium

  * pep3147-stdlib: In compileall, only create __pycache__ directories when
    we've found a .py file. (Closes: #742132)
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Abort in postinst if PyPy won't run on the machine's CPU. Unfortunately,
    the non-SSE2 build is currently broken. (Closes: #737018)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 04 May 2014 23:57:47 +0200
