=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  libbz2-dev,
  libexpat1-dev,
  libffi-dev,
+ libgdbm-dev,
  libncurses-dev,
  libsqlite3-dev,
  libssl-dev,
@@ -22,7 +23,7 @@
  valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://pypy.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pypy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pypy.git
