=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 override_dh_auto_build-arch: pypy/goal/pypy-c pypy/goal/pypy-c-sandbox
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
 	# Build cffi modules
-	pypy/goal/pypy-c -c 'import _sqlite3, _curses, _tkinter.tklib, syslog'
+	pypy/goal/pypy-c -c 'import _sqlite3, _curses, _tkinter.tklib, gdbm, syslog'
 
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
@@ -91,9 +91,10 @@
 	dh_python2 -p python-pypy.sandbox
 
 override_dh_installdeb:
-	set -e; for maintscript in preinst postinst; do \
-		sed 's/#VERSION#/$(VER)/g' debian/pypy.$$maintscript.in \
-		    > debian/pypy.$$maintscript; \
+	set -e; for maintscript in preinst postinst prerm; do \
+		sed -e 's/#VERSION#/$(VER)/g' \
+		    -e 's/#ARCH#/$(shell dpkg-architecture -qDEB_HOST_ARCH)/g' \
+		    debian/pypy.$$maintscript.in > debian/pypy.$$maintscript; \
 	done
 	dh_installdeb
