=== debian/changelog ===
pypy (2.4.0+dfsg-3) unstable; urgency=medium

  * Switch to noawait triggers on /usr/lib/pypy/lib-python. Byte-compilation
    isn't critical (Closes: #772863).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Dec 2014 12:44:38 +0200

pypy (2.4.0+dfsg-2) unstable; urgency=medium

  * Patch trackgcroot-new-ops: Fix FTBFS with gcc 4.9.2, expect some new
    operations. (Closes: #771137)
  * Cherry-pick upstream patches for:
    - ast-segfault: an AST compiler crash.
    - io-double-rewind: EINVAL in raw io.
    - streamio-ext-seek: Avoid an crash when fds are unexpectedly seeked.
    - ndarray-swapaxes-segfault: Description: Fix a segfault when doing a noop
      swapaxes.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Nov 2014 22:51:30 -0800

pypy (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.
  * Refresh patches.
  * Drop patches, superseded upstream: so_reuseport, sqlite-3.8.4.
  * Patch fpic-archs: hppa and x32 require -fPIC (Closes: #760267).
  * Don't attempt to build a JIT on x32.
  * Patch: sandbox-access: Implement os.access, to get the sandbox working in
    2.4.0.
  * Update kFreeBSD releases in patch plat-gnukfreebsd.
  * Clean up local variables in patch plat-linux2-differences.
  * Add lintian overrides for pypy-lib-testsuite, that were missed in the
    stdlib break-up.
  * First multi-arch steps:
    - Patch: multiarch: Add multiarch tag to C extension file names.
    - Build-Depend on dh-exec, to ease installing to multiarch paths.
    - Move pypy-c-sandbox to a multiarch path.
    - Fully qualify (cffi) extension filenames with multiarch tags.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 24 Sep 2014 00:51:03 -0700
