=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ dh-exec,
  libbz2-dev,
  libexpat1-dev,
  libffi-dev,
