=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,10 @@
 
 override_dh_auto_build-arch: pypy/goal/pypy-c pypy/goal/pypy-c-sandbox
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
+
 	# Build cffi modules
 	pypy/goal/pypy-c -c 'import _sqlite3, _curses, _tkinter.tklib, gdbm, syslog'
+	debian/scripts/multiarch-extensions.sh
 
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
