## pypy 2.5.0+dfsg

=== debian/changelog ===
pypy (2.5.0+dfsg-2) experimental; urgency=medium

  * Add a Depends: pypy to pypy-lib-testsuite - it uses pypycompile on
    install, now. (Closes: #777641)
  * Patch no-shared-export-symbols: Export symbols required by C extensions,
    again.
  * Patch skip-test_multiprocessing: Disable test_multiprocessing, it leaves
    stray processes on buildds (and generally seems buggy).

 -- Stefano Rivera <stefanor@debian.org>  Wed, 11 Feb 2015 13:36:11 -0800

pypy (2.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Upload to experimental (due to jessie freeze).
  * Drop patches, superseded upstream: sandbox-access, trackgcroot-new-ops,
    ast-segfault, io-double-rewind, streamio-ext-seek,
    ndarray-swapaxes-segfault.
  * Update copyright.
  * Remove buildd RAM check, most buildds are now sufficiently capable, or
    pypy has been blacklisted on them. (Closes: #730216)
  * Adjust multiarch patch to build gracefully under a non-multiarch Python.
  * Rejig maintainer scripts. All byte-compilation now happens in the pypy
    binary package, without triggers.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Build with --no-shared for now. Upstream now builds a shared library by
    default, but we aren't ready for it.
  * Use valgrind headers on arm64 and ppc64el, they both now support it.
  * Patch no-ssl3: Allow testing without SSLv3 support.
  * Patch test_jit-ffi: Fix a test failure in the JIT.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 Feb 2015 11:13:52 -0800
