=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
  python2.7-dev,
  tcl-dev,
  tk-dev,
- valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
+ valgrind [arm64 amd64 armhf i386 mips mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pypy.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pypy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pypy.git
@@ -52,7 +52,7 @@
 
 Package: pypy-tk
 Architecture: kfreebsd-any linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}, pypy (= ${binary:Version})
+Depends: pypy (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: pypy-lib (<< 2.2)
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Description: Tkinter module for PyPy (an alternative Python interpreter)
@@ -97,7 +97,7 @@
 
 Package: pypy-lib-testsuite
 Architecture: all
-Depends: pypy-lib (= ${source:Version}), ${misc:Depends}
+Depends: pypy, pypy-lib (= ${source:Version}), ${misc:Depends}
 Replaces: pypy-lib (<< 2.2)
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Description: standard library test suite for PyPy (an alternative Python interpreter)
