=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh $@ --with python2,sphinxdoc
 
 override_dh_auto_configure:
-	debian/scripts/memory-check.sh
+	# This rule left intentionally empty
 
 override_dh_auto_build-arch: pypy/goal/pypy-c pypy/goal/pypy-c-sandbox
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
