## pypy 2.6.0+dfsg

=== debian/changelog ===
pypy (2.6.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Use the correct (pypy) marshal module, in the sandbox. (Closes: #785559)
  * Install ansiramp in the sandbox, to fix --verbose on 256 colour terminals.
    (Closes: #785554)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 03 Jul 2015 13:43:58 -0700

pypy (2.6.0+dfsg-2) experimental; urgency=medium

  * libunwind is only available on Linux amd64.
  * Patch hg-updates: Pull bugfixes from the upstream 2.6 maintenance branch.
  * Patch vmprof-amd64: vmprof uses x86_64 assembler, so it's only available
    on x86_64.
  * Patch ensure-valid-term: Squash some readline related test failures.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Jun 2015 18:05:35 -0700

pypy (2.6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright.
  * cffi modules are now explicitly built, use the function in upstream's
    package tool to do this.
  * Build-Depends and Recommend: libunwind-dev, for vmprof on any-amd64 only.
    (With alternative B-Ds for building on older releases)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 07 Jun 2015 21:00:34 -0700

pypy (2.5.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    + Drop ensurepip eggs from source tarball.
  * Refresh patches.
  * Drop patches, superseded upstream: test_jit-ffi, no-shared-export-symbols,
    and no-ssl3.
  * Build new CFFI module: audioop.
  * Apply ensurepip-wheels and ensurepip-disabled from the python2.7 package.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Mar 2015 08:31:36 -0700
