=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libncurses-dev,
  libsqlite3-dev,
  libssl-dev,
+ libunwind-dev [amd64] | libunwind8-dev [amd64] | libunwind7-dev [amd64],
  netbase,
  pkg-config,
  procps,
@@ -34,6 +35,7 @@
 Depends: pypy-lib (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: pypy-dev (<< ${source:Version})
 Suggests: pypy-doc, pypy-tk (= ${binary:Version})
+Recommends: ${pypy:Recommends}
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Description: fast alternative implementation of Python - PyPy interpreter
  PyPy is a fast, compliant alternative implementation of the Python language
