=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
 
 	# Build cffi modules
-	pypy/goal/pypy-c -c 'import _sqlite3, _curses, _tkinter.tklib, gdbm, syslog'
+	debian/scripts/build-cffi-modules.py
 	debian/scripts/multiarch-extensions.sh
 
 override_dh_auto_build-indep:
@@ -100,6 +100,9 @@
 	done
 	dh_installdeb
 
+override_dh_gencontrol:
+	dh_gencontrol -- $(shell dpkg-query -f '-Vpypy:Recommends=$${Package} $${Status}\n' --show 'libunwind*-dev' | grep ' installed$$' | cut -d' ' -f 1)
+
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
@@ -116,7 +119,8 @@
 	cd pypy-$(VER).orig && hg up -r $(REV)
 endif
 	rm -rf pypy-$(VER).orig/.hg*
-	rm pypy-$(VER).orig/lib-python/*2.7/distutils/command/*.exe
+	rm pypy-$(VER).orig/lib-python/2.7/distutils/command/*.exe
+	rm -rf pypy-$(VER).orig/lib-python/2.7/ensurepip/_bundled/
 	tar -cJ --owner root --group root --mode a+rX \
 	    -f pypy_$(VER)+dfsg.orig.tar.xz pypy-$(VER).orig
 	rm -rf pypy-$(VER).orig
